Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029422
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 02. Master data managementminorhave not tried2015-03-26 10:222015-11-23 21:17
ReporterrafademiguelView Statuspublic 
Assigned Toebecerra 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision797fabffe660
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029422: New option for Price List Schema Line: Fixed Price or Cost plus Margin Based

DescriptionNew option for Base List/Unit Price in Price List Schema Line: Fixed Price or Cost plus Margin Based
 
Rules for prices calculation

- If the set fixed List/Unit price is higher than the current cost plus List/unit Price margin, the price list will be created with the fixed price

- If the set fixed List/Unit price is lower than the current cost plus List/Unit Price margin, then price list will be created using the cost plus the margin.
Steps To ReproduceNo
TagsNo tags attached.
Attached Filesdiff file icon FixedPrice_or_CostplusMarginBased.diff [^] (10,382 bytes) 2015-06-30 12:14 [Show Content]
? file icon issue29422.export [^] (9,692 bytes) 2015-10-20 10:51
patch file icon AutomatedTestFixedOrCostPlusMarginPrice.patch [^] (29,111 bytes) 2015-11-06 12:54 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0081626)
hgbot (developer)
2015-11-09 16:06

Repository: erp/devel/pi
Changeset: 797fabffe660b62e5f304477e6fcf00d17460b0d
Author: Alberto Santos <alberto.santos <at> openbravo.com>
Date: Mon Nov 09 16:06:16 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/797fabffe660b62e5f304477e6fcf00d17460b0d [^]

Fixed issue 29422.Adds Fixed price or Cost plus margin.

---
M src-db/database/model/functions/M_PRICELIST_CREATE.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0081691)
vmromanos (developer)
2015-11-11 11:18

Code review + testing OK
(0081692)
vmromanos (developer)
2015-11-11 11:18

https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9878 [^]
(0082189)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-03-26 10:22 ebecerra New Issue
2015-03-26 10:22 ebecerra Assigned To => Sandrahuguet
2015-03-26 10:22 ebecerra Modules => Core
2015-03-26 10:22 ebecerra Triggers an Emergency Pack => No
2015-03-26 10:30 rafademiguel Review Assigned To => Sandrahuguet
2015-03-26 10:30 rafademiguel Reporter ebecerra => rafademiguel
2015-03-26 10:30 rafademiguel Assigned To Sandrahuguet => ebecerra
2015-03-26 10:30 rafademiguel Target Version => 3.0PR15Q3
2015-03-26 10:32 rafademiguel Review Assigned To Sandrahuguet => gorkaion
2015-06-29 13:17 psarobe Target Version 3.0PR15Q3 =>
2015-06-30 12:14 ebecerra File Added: FixedPrice_or_CostplusMarginBased.diff
2015-10-20 10:51 Asantos9 File Added: issue29422.export
2015-11-06 10:02 vmromanos Review Assigned To gorkaion => vmromanos
2015-11-06 10:02 vmromanos Target Version => 3.0PR16Q1
2015-11-06 12:54 Asantos9 File Added: AutomatedTestFixedOrCostPlusMarginPrice.patch
2015-11-09 16:06 hgbot Checkin
2015-11-09 16:06 hgbot Note Added: 0081626
2015-11-09 16:06 hgbot Status new => resolved
2015-11-09 16:06 hgbot Resolution open => fixed
2015-11-09 16:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/797fabffe660b62e5f304477e6fcf00d17460b0d [^]
2015-11-11 11:18 vmromanos Note Added: 0081691
2015-11-11 11:18 vmromanos Status resolved => closed
2015-11-11 11:18 vmromanos Note Added: 0081692
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082189


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker